- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# QWSCursor Class Reference

Search for all occurrences

## Detailed Description

Definition at line 54 of file qwscursor_qws.h.

`#include <qwscursor_qws.h>`

List of all members.

## Public Member Functions
| QWSCursor ()
| QWSCursor (const uchar *data, const uchar *mask, int width, int height, int hotX, int hotY)
void | set (const uchar *data, const uchar *mask, int width, int height, int hotX, int hotY)
QPoint | hotSpot () const
QImage & | image ()
## Static Public Member Functions
static QWSCursor * | systemCursor (int id)

## Constructor & Destructor Documentation

QWSCursor | ( |  | ) | `[inline]`

Definition at line 57 of file qwscursor_qws.h.

    {}

QWSCursor | ( | const uchar * | data,
|  | const uchar * | mask,
|  | int | width,
|  | int | height,
|  | int | hotX,
|  | int | hotY
| ) |  | `[inline]`

Definition at line 58 of file qwscursor_qws.h.

            { set(data, mask, width, height, hotX, hotY); }

## Member Function Documentation

void set | ( | const uchar * | data,
|  | const uchar * | mask,
|  | int | width,
|  | int | height,
|  | int | hotX,
|  | int | hotY
| ) |  |

Search for all occurrences

QPoint hotSpot | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 65 of file qwscursor_qws.h.

    { return hot; }

QImage& image | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 66 of file qwscursor_qws.h.

    { return cursor; }

static QWSCursor* systemCursor | ( | int | id | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qwscursor_qws.h

QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor
QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor QWSCursor